function movePlayhead()
{
   if(myVideoPlayer.state == "playing")
   {
      pc = myVideoPlayer.playheadTime / myVideoPlayer.totalTime;
      dragBar.dragger._x = - dragBar.bar._width + dragBar.bar._width * pc;
   }
}
function setVideoSize()
{
   trace("SET VIDEO SIZE CALLED ==-================");
   vOff = 0;
   hOff = 0;
   viewAspect = 1.3333333333333333;
   ht = myVideoPlayer.metadata.height;
   wd = myVideoPlayer.metadata.width;
   if(wd > ht)
   {
      ratio = 320 / wd;
      vidAspect = ht / wd;
      vidWidth = wd * ratio;
      vidHeight = vidWidth * vidAspect;
      vOff = (240 - vidHeight) / 2;
      if(vidHeight > 240)
      {
         ratio = 240 / ht;
         vidHeight = ht * ratio;
         vidWidth = wd * ratio;
         vOff = 0;
         hOff = (320 - vidWidth) / 2;
      }
   }
   else
   {
      ratio = 240 / ht;
      vidAspect = wd / ht;
      vidWidth = 320 * vidAspect;
      vidHeight = 240;
      hOff = (320 - vidWidth) / 2;
   }
   trace("Scale Ratio: " + ratio + " Video Aspect: " + vidAspect);
   myVideoPlayer._width = vidWidth;
   myVideoPlayer._height = vidHeight;
   myVideoPlayer._x = hOff;
   myVideoPlayer._y = vOff;
   trace(vOff + "   " + hOff);
   trace("Height is " + myVideoPlayer.metadata.height);
   trace("Width is " + myVideoPlayer.metadata.width);
   trace("Duration is " + myVideoPlayer.metadata.duration + " seconds");
   videoSizeSet = true;
}
function setVideoLabels(num)
{
   numVids = _root.videoResourceList.length;
   p = 0;
   while(p < selectorButtons.length)
   {
      selectorButtons[p]._visible = false;
      p++;
   }
   i = 0;
   while(i < _root.videoResourceList.length)
   {
      trace("setting video selector " + _root.videoResourceList[i]);
      vidName = _root.videoResourceList[i];
      vidName = vidName.slice(0,-4);
      selectorButtons[i].vidName = vidName;
      selectorButtons[i]._visible = true;
      i++;
   }
}
function setContentPath(path)
{
   videoSizeSet = false;
   trace("setting SMALL contentPath to:" + path + "|");
   tPath = path;
   myVideoPlayer.contentPath = tPath;
   trace("contentPath is now " + myVideoPlayer.contentPath);
   myVideoPlayer.rewind();
   myVideoPlayer.play();
}
stop();
var videoSizeSet = false;
var selectorButtons = Array(videoSelector.vidButton1,videoSelector.vidButton2,videoSelector.vidButton3,videoSelector.vidButton4,videoSelector.vidButton5,videoSelector.vidButton6,videoSelector.vidButton7,videoSelector.vidButton8,videoSelector.vidButton9);
myVideoPlayer.playPauseButton = myPlayButton;
myVideoPlayer.backButton = myBackButton;
trace("initialising video player");
MovieClip(myVideoPlayer.getVideoPlayer(myVideoPlayer.activeVideoPlayerIndex))._video.smoothing = true;
videoSelector._visible = false;
var listenerObject = new Object();
listenerObject.stateChange = function(eventObject)
{
   trace(myVideoPlayer.state + ": playhead time is: " + myVideoPlayer.playheadTime);
   if(myVideoPlayer.state == "playing")
   {
      if(!videoSizeSet)
      {
         setVideoSize();
      }
      _root.flvPlaying = true;
   }
   else
   {
      _root.flvPlaying = false;
   }
   if(myVideoPlayer.state == "buffering")
   {
      trace("buffering");
      trace("w=" + myVideoPlayer.metadata.width + " h=" + myVideoPlayer.metadata.height);
   }
};
myVideoPlayer.addEventListener("stateChange",listenerObject);
var progressObject = new Object();
progressObject.progress = function(eventObject)
{
   if(myVideoPlayer.metadataLoaded)
   {
      vOff = 0;
      hOff = 0;
      viewAspect = 1.3333333333333333;
      ht = myVideoPlayer.metadata.height;
      wd = myVideoPlayer.metadata.width;
      if(wd > ht)
      {
         ratio = 320 / wd;
         vidAspect = ht / wd;
         vidWidth = wd * ratio;
         vidHeight = vidWidth * vidAspect;
         vOff = (240 - vidHeight) / 2;
         if(vidHeight > 240)
         {
            ratio = 240 / ht;
            vidHeight = ht * ratio;
            vidWidth = wd * ratio;
            vOff = 0;
            hOff = (320 - vidWidth) / 2;
         }
      }
      else
      {
         ratio = 240 / ht;
         vidAspect = wd / ht;
         vidWidth = 320 * vidAspect;
         vidHeight = 240;
         hOff = (320 - vidWidth) / 2;
      }
      trace("Scale Ratio: " + ratio + " Video Aspect: " + vidAspect);
      myVideoPlayer._width = vidWidth;
      myVideoPlayer._height = vidHeight;
      myVideoPlayer._x = hOff;
      myVideoPlayer._y = vOff;
      trace(vOff + "   " + hOff);
      trace("Height is " + myVideoPlayer.metadata.height);
      trace("Width is " + myVideoPlayer.metadata.width);
      trace("Duration is " + myVideoPlayer.metadata.duration + " seconds");
   }
};
myVideoPlayer.addEventListener("progress",progressObject);
dragBar.dragger.onPress = function()
{
   myVideoPlayer.pause();
   startDrag(dragBar.dragger,0,dragBar.bar._x - dragBar.bar._width,dragBar.bar._y,dragBar.bar._x,dragBar.bar._y);
};
dragBar.dragger.onRelease = function()
{
   trace("settingplayhead");
   pc = 1 + dragBar.dragger._x / dragBar.bar._width;
   myVideoPlayer.playheadTime = myVideoPlayer.totalTime * pc;
   myVideoPlayer.play();
   stopDrag();
};
dragBar.dragger.onReleaseOutside = dragBar.dragger.onRelease;
playHeadMover = setInterval(movePlayhead,20,0);
